#ifndef DSOFINDER_H
#define DSOFINDER_H

#include <QMainWindow>
#include "QMessageBox"
#include "QColor"
#include "QPainter"
#include <QColormap>
#include <QPoint>
#include <QElapsedTimer>
#include <stdlib.h>
#include <stdio.h>

namespace Ui {
    class DsoFinder;
}

class DsoFinder : public QMainWindow
{
    Q_OBJECT

public:
    struct rgb_value {
        int min;
        int max;
    };

    struct pixel_pos {
        int x_pos;
        int y_pos;
    };

    struct pixel_data {
        rgb_value r;
        rgb_value g;
        rgb_value b;
        pixel_pos pos;
        bool negating;

        pixel_data():negating(false){}
    };

    struct item {
        const char* caption;
        int pixelcount;
        int needed; //NEEDED DISCOVERYS FOR SUCCESS
        pixel_data* pixel;
        QColor color;
        Qt::PenStyle penstyle;
    };

    item* items;
    int itemcount;
    QPixmap originalPixmap;
    QImage originalImage;
    QPainter paint_dev;
    QPen pen_dev;
    int x,y;
    int i,k,j,r,g,b;
    int item_disc,item_negating;
    int totaldiscoverys;
    int d_width,d_heigth,borderbox;
    QRgb imgrgb;
    int*** pixels;
    FILE* results;
    bool debug;

    QElapsedTimer timer;

    explicit DsoFinder(int argc,char* argv[],QWidget *parent = 0);
    ~DsoFinder();

    void draw_discovery(QPoint coords, QColor color, Qt::PenStyle style);
    void init_items();

private slots:
    void on_takeButton_clicked();

    void on_resizeButton_clicked();

    void on_debugloadButton_clicked();

    void on_findButton_clicked();

    void on_debugsaveButton_clicked();

    void on_ontopcheckbox_clicked();

private:
    Ui::DsoFinder *ui;
};

#endif // DSOFINDER_H
