#include "dsofinder.h"

// THIS FILE CAN BE EDITED FREELY TO ALTER SEARCHPARAMETERS OR ADD NEW ITEMS
// IF YOU DO SO MAKE SURE THAT ARRAY-SIZES FIT:
// itemcount = TOTAL NUMBER OF ITEMS
// items.pixelcount = TOTAL NUMBER OF DEFINED PIXELS
// borderbox = AT LEAST THE MAXIMUM SPREAD OF RELATIVE X AND Y POSITIONS. IF DEFINED PIXELS HAVE e.g.: -1, -2, 2, 3 AS RELATIVE x_pos, THEN borderbox MUST BE AT LEAST 5! (3-(-2))=5
// FAILURE IN ANY OF THIS MAY LEAD TO CRASHES

void DsoFinder::init_items()
{
    borderbox=3;
    itemcount = 12;
    items = new item[itemcount];
    i=0;

    items[i].caption = "Scarecrow";
    items[i].color = QColor(255,0,0);
    items[i].penstyle = Qt::SolidLine;
    items[i].needed = 3;
    items[i].pixelcount = 3;
    items[i].pixel = new pixel_data[items[i].pixelcount];
    items[i].pixel[0].r.min = 130;
    items[i].pixel[0].r.max = 150;
    items[i].pixel[0].g.min = 103;
    items[i].pixel[0].g.max = 120;
    items[i].pixel[0].b.min = 40;
    items[i].pixel[0].b.max = 50;
    items[i].pixel[0].pos.x_pos = 0;
    items[i].pixel[0].pos.y_pos = 0;
    items[i].pixel[1].r.min = 80;
    items[i].pixel[1].r.max = 105;
    items[i].pixel[1].g.min = 85;
    items[i].pixel[1].g.max = 115;
    items[i].pixel[1].b.min = 92;
    items[i].pixel[1].b.max = 125;
    items[i].pixel[1].pos.x_pos = 1;
    items[i].pixel[1].pos.y_pos = 1;
    items[i].pixel[2].r.min = 65;
    items[i].pixel[2].r.max = 90;
    items[i].pixel[2].g.min = 70;
    items[i].pixel[2].g.max = 90;
    items[i].pixel[2].b.min = 65;
    items[i].pixel[2].b.max = 90;
    items[i].pixel[2].pos.x_pos = 0;
    items[i].pixel[2].pos.y_pos = 2;
    i++;

    items[i].caption = "Foodcart";
    items[i].color = QColor(255,0,0);
    items[i].penstyle = Qt::DotLine;
    items[i].needed = 3;
    items[i].pixelcount = 3;
    items[i].pixel = new pixel_data[items[i].pixelcount];
    items[i].pixel[0].r.min = 180;
    items[i].pixel[0].r.max = 200;
    items[i].pixel[0].g.min = 100;
    items[i].pixel[0].g.max = 115;
    items[i].pixel[0].b.min = 25;
    items[i].pixel[0].b.max = 40;
    items[i].pixel[0].pos.x_pos = 0;
    items[i].pixel[0].pos.y_pos = 0;
    items[i].pixel[1].r.min = 120;
    items[i].pixel[1].r.max = 140;
    items[i].pixel[1].g.min = 45;
    items[i].pixel[1].g.max = 60;
    items[i].pixel[1].b.min = 25;
    items[i].pixel[1].b.max = 40;
    items[i].pixel[1].pos.x_pos = 1;
    items[i].pixel[1].pos.y_pos = 1;
    items[i].pixel[2].r.min = 55;
    items[i].pixel[2].r.max = 80;
    items[i].pixel[2].g.min = 30;
    items[i].pixel[2].g.max = 50;
    items[i].pixel[2].b.min = 15;
    items[i].pixel[2].b.max = 35;
    items[i].pixel[2].pos.x_pos = 0;
    items[i].pixel[2].pos.y_pos = 2;
    i++;

    items[i].caption = "Herbs";
    items[i].color = QColor(255,0,0);
    items[i].penstyle = Qt::SolidLine;
    items[i].needed = 2;
    items[i].pixelcount = 3;
    items[i].pixel = new pixel_data[items[i].pixelcount];
    items[i].pixel[0].r.min = 165;
    items[i].pixel[0].r.max = 210;
    items[i].pixel[0].g.min = 170;
    items[i].pixel[0].g.max = 210;
    items[i].pixel[0].b.min = 110;
    items[i].pixel[0].b.max = 145;
    items[i].pixel[0].pos.x_pos = 0;
    items[i].pixel[0].pos.y_pos = 0;
    items[i].pixel[1].r.min = 130;
    items[i].pixel[1].r.max = 180;
    items[i].pixel[1].g.min = 60;
    items[i].pixel[1].g.max = 90;
    items[i].pixel[1].b.min = 130;
    items[i].pixel[1].b.max = 170;
    items[i].pixel[1].pos.x_pos = 0;
    items[i].pixel[1].pos.y_pos = 2;
    items[i].pixel[2].r.min = 115;
    items[i].pixel[2].r.max = 145;
    items[i].pixel[2].g.min = 50;
    items[i].pixel[2].g.max = 90;
    items[i].pixel[2].b.min = 95;
    items[i].pixel[2].b.max = 120;
    items[i].pixel[2].pos.x_pos = -2;
    items[i].pixel[2].pos.y_pos = -1;
    i++;

    items[i].caption = "Herb (hidden)";
    items[i].color = QColor(255,0,0);
    items[i].penstyle = Qt::SolidLine;
    items[i].needed = 2;
    items[i].pixelcount = 2;
    items[i].pixel = new pixel_data[items[i].pixelcount];
    items[i].pixel[0].r.min = 115;
    items[i].pixel[0].r.max = 140;
    items[i].pixel[0].g.min = 120;
    items[i].pixel[0].g.max = 145;
    items[i].pixel[0].b.min = 70;
    items[i].pixel[0].b.max = 95;
    items[i].pixel[0].pos.x_pos = 0;
    items[i].pixel[0].pos.y_pos = 0;
    items[i].pixel[1].r.min = 85;
    items[i].pixel[1].r.max = 110;
    items[i].pixel[1].g.min = 30;
    items[i].pixel[1].g.max = 60;
    items[i].pixel[1].b.min = 80;
    items[i].pixel[1].b.max = 110;
    items[i].pixel[1].pos.x_pos = 0;
    items[i].pixel[1].pos.y_pos = 2;
    i++;

    items[i].caption = "Herb (half-hidden)";
    items[i].color = QColor(255,0,0);
    items[i].penstyle = Qt::SolidLine;
    items[i].needed = 2;
    items[i].pixelcount = 2;
    items[i].pixel = new pixel_data[items[i].pixelcount];
    items[i].pixel[0].r.min = 150;
    items[i].pixel[0].r.max = 175;
    items[i].pixel[0].g.min = 160;
    items[i].pixel[0].g.max = 190;
    items[i].pixel[0].b.min = 100;
    items[i].pixel[0].b.max = 125;
    items[i].pixel[0].pos.x_pos = 0;
    items[i].pixel[0].pos.y_pos = 0;
    items[i].pixel[1].r.min = 115;
    items[i].pixel[1].r.max = 140;
    items[i].pixel[1].g.min = 50;
    items[i].pixel[1].g.max = 80;
    items[i].pixel[1].b.min = 115;
    items[i].pixel[1].b.max = 140;
    items[i].pixel[1].pos.x_pos = 0;
    items[i].pixel[1].pos.y_pos = 2;
    i++;

    items[i].caption = "Kessel";
    items[i].color = QColor(255,0,0);
    items[i].penstyle = Qt::DotLine;
    items[i].needed = 3;
    items[i].pixelcount = 3;
    items[i].pixel = new pixel_data[items[i].pixelcount];
    items[i].pixel[0].r.min = 105;
    items[i].pixel[0].r.max = 130;
    items[i].pixel[0].g.min = 80;
    items[i].pixel[0].g.max = 95;
    items[i].pixel[0].b.min = 30;
    items[i].pixel[0].b.max = 50;
    items[i].pixel[0].pos.x_pos = 0;
    items[i].pixel[0].pos.y_pos = 0;
    items[i].pixel[1].r.min = 60;
    items[i].pixel[1].r.max = 80;
    items[i].pixel[1].g.min = 30;
    items[i].pixel[1].g.max = 50;
    items[i].pixel[1].b.min = 5;
    items[i].pixel[1].b.max = 20;
    items[i].pixel[1].pos.x_pos = 0;
    items[i].pixel[1].pos.y_pos = 1;
    items[i].pixel[2].r.min = 80;
    items[i].pixel[2].r.max = 120;
    items[i].pixel[2].g.min = 75;
    items[i].pixel[2].g.max = 110;
    items[i].pixel[2].b.min = 60;
    items[i].pixel[2].b.max = 90;
    items[i].pixel[2].pos.x_pos = 0;
    items[i].pixel[2].pos.y_pos = 2;
    i++;

    items[i].caption = "Banner";
    items[i].color = QColor(255,0,0);
    items[i].penstyle = Qt::DotLine;
    items[i].needed = 4;
    items[i].pixelcount = 4;
    items[i].pixel = new pixel_data[items[i].pixelcount];
    items[i].pixel[0].r.min = 95;
    items[i].pixel[0].r.max = 120;
    items[i].pixel[0].g.min = 40;
    items[i].pixel[0].g.max = 60;
    items[i].pixel[0].b.min = 10;
    items[i].pixel[0].b.max = 30;
    items[i].pixel[0].pos.x_pos = 0;
    items[i].pixel[0].pos.y_pos = 0;
    items[i].pixel[1].r.min = 60;
    items[i].pixel[1].r.max = 90;
    items[i].pixel[1].g.min = 20;
    items[i].pixel[1].g.max = 45;
    items[i].pixel[1].b.min = 5;
    items[i].pixel[1].b.max = 20;
    items[i].pixel[1].pos.x_pos = 1;
    items[i].pixel[1].pos.y_pos = 0;
    items[i].pixel[2].r.min = 120;
    items[i].pixel[2].r.max = 200;
    items[i].pixel[2].g.min = 80;
    items[i].pixel[2].g.max = 150;
    items[i].pixel[2].b.min = 10;
    items[i].pixel[2].b.max = 40;
    items[i].pixel[2].pos.x_pos = 1;
    items[i].pixel[2].pos.y_pos = 3;
    items[i].pixel[3].r.min = 90;
    items[i].pixel[3].r.max = 160;
    items[i].pixel[3].g.min = 50;
    items[i].pixel[3].g.max = 100;
    items[i].pixel[3].b.min = 40;
    items[i].pixel[3].b.max = 100;
    items[i].pixel[3].pos.x_pos = 1;
    items[i].pixel[3].pos.y_pos = 2;
    i++;

    items[i].caption = "Bronzekessel";
    items[i].color = QColor(255,0,0);
    items[i].penstyle = Qt::SolidLine;
    items[i].needed = 5;
    items[i].pixelcount = 5;
    items[i].pixel = new pixel_data[items[i].pixelcount];
    items[i].pixel[0].r.min = 100;
    items[i].pixel[0].r.max = 160;
    items[i].pixel[0].g.min = 50;
    items[i].pixel[0].g.max = 100;
    items[i].pixel[0].b.min = 0;
    items[i].pixel[0].b.max = 20;
    items[i].pixel[0].pos.x_pos = 0;
    items[i].pixel[0].pos.y_pos = 0;
    items[i].pixel[1].r.min = 130;
    items[i].pixel[1].r.max = 190;
    items[i].pixel[1].g.min = 80;
    items[i].pixel[1].g.max = 150;
    items[i].pixel[1].b.min = 5;
    items[i].pixel[1].b.max = 50;
    items[i].pixel[1].pos.x_pos = 0;
    items[i].pixel[1].pos.y_pos = 2;
    items[i].pixel[2].r.min = 175;
    items[i].pixel[2].r.max = 230;
    items[i].pixel[2].g.min = 145;
    items[i].pixel[2].g.max = 190;
    items[i].pixel[2].b.min = 40;
    items[i].pixel[2].b.max = 100;
    items[i].pixel[2].pos.x_pos = 1;
    items[i].pixel[2].pos.y_pos = 2;
    items[i].pixel[3].r.min = 30;
    items[i].pixel[3].r.max = 75;
    items[i].pixel[3].g.min = 20;
    items[i].pixel[3].g.max = 50;
    items[i].pixel[3].b.min = 5;
    items[i].pixel[3].b.max = 40;
    items[i].pixel[3].pos.x_pos = 0;
    items[i].pixel[3].pos.y_pos = 3;
    items[i].pixel[4].r.min = 80;
    items[i].pixel[4].r.max = 130;
    items[i].pixel[4].g.min = 80;
    items[i].pixel[4].g.max = 130;
    items[i].pixel[4].b.min = 50;
    items[i].pixel[4].b.max = 110;
    items[i].pixel[4].pos.x_pos = 2;
    items[i].pixel[4].pos.y_pos = 3;
    i++;

    items[i].caption = "Kuerbis";
    items[i].color = QColor(220,170,40);
    items[i].penstyle = Qt::SolidLine;
    items[i].needed = 3;
    items[i].pixelcount = 3;
    items[i].pixel = new pixel_data[items[i].pixelcount];
    items[i].pixel[0].r.min = 210;
    items[i].pixel[0].r.max = 225;
    items[i].pixel[0].g.min = 140;
    items[i].pixel[0].g.max = 160;
    items[i].pixel[0].b.min = 25;
    items[i].pixel[0].b.max = 40;
    items[i].pixel[0].pos.x_pos = 0;
    items[i].pixel[0].pos.y_pos = 0;
    items[i].pixel[1].r.min = 145;
    items[i].pixel[1].r.max = 160;
    items[i].pixel[1].g.min = 70;
    items[i].pixel[1].g.max = 90;
    items[i].pixel[1].b.min = 15;
    items[i].pixel[1].b.max = 30;
    items[i].pixel[1].pos.x_pos = 1;
    items[i].pixel[1].pos.y_pos = 0;
    items[i].pixel[2].r.min = 60;
    items[i].pixel[2].r.max = 85;
    items[i].pixel[2].g.min = 50;
    items[i].pixel[2].g.max = 70;
    items[i].pixel[2].b.min = 0;
    items[i].pixel[2].b.max = 15;
    items[i].pixel[2].pos.x_pos = 1;
    items[i].pixel[2].pos.y_pos = 1;
    i++;

    items[i].caption = "Candy";
    items[i].color = QColor(220,170,40);
    items[i].penstyle = Qt::SolidLine;
    items[i].needed = 3;
    items[i].pixelcount = 3;
    items[i].pixel = new pixel_data[items[i].pixelcount];
    items[i].pixel[0].r.min = 30;
    items[i].pixel[0].r.max = 45;
    items[i].pixel[0].g.min = 165;
    items[i].pixel[0].g.max = 190;
    items[i].pixel[0].b.min = 185;
    items[i].pixel[0].b.max = 210;
    items[i].pixel[0].pos.x_pos = 0;
    items[i].pixel[0].pos.y_pos = 0;
    items[i].pixel[1].r.min = 180;
    items[i].pixel[1].r.max = 200;
    items[i].pixel[1].g.min = 100;
    items[i].pixel[1].g.max = 115;
    items[i].pixel[1].b.min = 95;
    items[i].pixel[1].b.max = 110;
    items[i].pixel[1].pos.x_pos = 1;
    items[i].pixel[1].pos.y_pos = 1;
    items[i].pixel[2].r.min = 30;
    items[i].pixel[2].r.max = 45;
    items[i].pixel[2].g.min = 165;
    items[i].pixel[2].g.max = 190;
    items[i].pixel[2].b.min = 180;
    items[i].pixel[2].b.max = 200;
    items[i].pixel[2].pos.x_pos = 0;
    items[i].pixel[2].pos.y_pos = 2;
    i++;

    items[i].caption = "Gingerbread";
    items[i].color = QColor(220,170,40);
    items[i].penstyle = Qt::SolidLine;
    items[i].needed = 3;
    items[i].pixelcount = 3;
    items[i].pixel = new pixel_data[items[i].pixelcount];
    items[i].pixel[0].r.min = 105;
    items[i].pixel[0].r.max = 130;
    items[i].pixel[0].g.min = 80;
    items[i].pixel[0].g.max = 100;
    items[i].pixel[0].b.min = 45;
    items[i].pixel[0].b.max = 65;
    items[i].pixel[0].pos.x_pos = 0;
    items[i].pixel[0].pos.y_pos = 0;
    items[i].pixel[1].r.min = 160;
    items[i].pixel[1].r.max = 185;
    items[i].pixel[1].g.min = 80;
    items[i].pixel[1].g.max = 100;
    items[i].pixel[1].b.min = 35;
    items[i].pixel[1].b.max = 50;
    items[i].pixel[1].pos.x_pos = 1;
    items[i].pixel[1].pos.y_pos = 0;
    items[i].pixel[2].r.min = 185;
    items[i].pixel[2].r.max = 210;
    items[i].pixel[2].g.min = 120;
    items[i].pixel[2].g.max = 145;
    items[i].pixel[2].b.min = 80;
    items[i].pixel[2].b.max = 100;
    items[i].pixel[2].pos.x_pos = 2;
    items[i].pixel[2].pos.y_pos = 0;
    i++;

    items[i].caption = "Bell";
    items[i].color = QColor(220,170,40);
    items[i].penstyle = Qt::SolidLine;
    items[i].needed = 3;
    items[i].pixelcount = 3;
    items[i].pixel = new pixel_data[items[i].pixelcount];
    items[i].pixel[0].r.min = 25;
    items[i].pixel[0].r.max = 45;
    items[i].pixel[0].g.min = 55;
    items[i].pixel[0].g.max = 85;
    items[i].pixel[0].b.min = 60;
    items[i].pixel[0].b.max = 95;
    items[i].pixel[0].pos.x_pos = 0;
    items[i].pixel[0].pos.y_pos = 0;
    items[i].pixel[1].r.min = 65;
    items[i].pixel[1].r.max = 95;
    items[i].pixel[1].g.min = 30;
    items[i].pixel[1].g.max = 55;
    items[i].pixel[1].b.min = 30;
    items[i].pixel[1].b.max = 55;
    items[i].pixel[1].pos.x_pos = 1;
    items[i].pixel[1].pos.y_pos = 0;
    items[i].pixel[2].r.min = 145;
    items[i].pixel[2].r.max = 190;
    items[i].pixel[2].g.min = 80;
    items[i].pixel[2].g.max = 115;
    items[i].pixel[2].b.min = 75;
    items[i].pixel[2].b.max = 110;
    items[i].pixel[2].pos.x_pos = 1;
    items[i].pixel[2].pos.y_pos = -1;
    i++;
}
